Bug 820841 - Review Request: python-django-dajaxice - Django AJAX library
Review Request: python-django-dajaxice - Django AJAX library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 03:31 EDT by Jakub Filak
Modified: 2016-11-30 19:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 20:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
A patch file required from django-dajaxice.spec (75 bytes, text/plain)
2012-05-11 03:43 EDT, Jakub Filak
no flags Details
updated spec (1.91 KB, text/x-rpm-spec)
2012-05-11 06:59 EDT, Jakub Filak
no flags Details

  None (edit)
Description Jakub Filak 2012-05-11 03:31:28 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/django-dajaxice.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/django-dajaxice-0.1.8.1-1.fc16.src.rpm
Description: Easy to use AJAX library for Django, all the presentation logic resides outside the views and doesn't require any JS framework. dajaxice uses the unobtrusive standard-compliant (W3C) XMLHttpRequest 1.0 object.

Rpmlint output:

$ rpmlint SPECS/django-dajaxice.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/django-dajaxice-0.1.8.1-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/django-dajaxice-0.1.8.1-1.fc16.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint django-dajaxice
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


The upstream should know about my effort to pack dajaxice.
I've sent them a request for getting rid of empty files.

This my first package, I need a sponsor. Thanks.
Comment 1 Jakub Filak 2012-05-11 03:43:25 EDT
Created attachment 583755 [details]
A patch file required from django-dajaxice.spec
Comment 2 Matthias Runge 2012-05-11 04:13:07 EDT
just a few comments:
- we're renaming django-packages to python-django-... So you might want to submit this as python-django-dajaxice
- if you're not targeting EPEL5 (as I would strongly suggest), you dont' need %defattr(-,root,root,-) in files, no need for a clean-section
Comment 3 Jakub Filak 2012-05-11 06:59:31 EDT
Created attachment 583798 [details]
updated spec

- the package name prefixed with "python-"
- %defattr removed
Comment 4 Matthias Runge 2012-05-11 07:07:50 EDT
every time you update your spec, you should put that somewhere on web space, e.g on your fedorapeople.org-space

there's a really useful fedora-review -too (fedora-review). It fetches srpm and spec by parsing this bug entry. Is doesn't take attachments into account.
Comment 6 Matthias Runge 2012-05-11 07:32:49 EDT
tankin' this one
Comment 7 Matthias Runge 2012-05-11 08:01:26 EDT
some more comments to clean, before I'll start the review.

[!]: SHOULD Spec use %global instead of %define.
     Note: %define lang_name python %define lib_prefix django %define lib_name
     dajaxice %define lib_datadir %{_datadir}/%{name}

Issues:
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5


You should increase the release number every time when you update your package.
If you post diffs, it makes it also easier for me to track the changes.

(I guess, those remarks from above also apply to your other package in review).
Comment 8 Jakub Filak 2012-05-11 10:20:43 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/python-django-dajaxice.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/python-django-dajaxice-0.1.8.1-2.fc16.src.rpm
Spec diff: http://jfilak.fedorapeople.org/packages/python-django-dajaxice.spec.r1-r2.patch

Changes:
* Release: 1 -> Release: 2
* %define -> %global
* deleted "rm -rf ..." from %install section
* deleted %clean section

(I guess, It will be better if I don't update the second package until this one is ok.)
Comment 9 Matthias Runge 2012-05-11 18:29:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-django-dajaxice-0.1.8.1-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-django-dajaxice-0.1.8.1-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/reviews/820841/django-dajaxice-0.1.8.1.tar.gz :
  MD5SUM this package     : ca70b19acc6211f5e71ce754c18eabad
  MD5SUM upstream package : ca70b19acc6211f5e71ce754c18eabad

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: python-django-dajaxice-0.1.8.1-empty.patch (python-django-
     dajaxice-0.1.8.1-empty.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Package is APPROVED
Comment 10 Matthias Runge 2012-05-14 06:44:06 EDT
Yes, of course, could you please correct that egg-'magic' here, too.
Comment 12 Jakub Filak 2012-05-14 09:18:07 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/python-django-dajaxice.spec
SRPM URL:
http://jfilak.fedorapeople.org/packages/python-django-dajaxice-0.2-1.fc16.src.rpm
Spec diff:
http://jfilak.fedorapeople.org/packages/python-django-dajaxice.spec.r01813-r021.patch

Changes:
* Updated to version 0.2
* Simplification of the install section
* Removed unused global lib_datadir

I'm sorry, but I've used older upstream version. I don't know why but I thought that 0.2 is beta package.
Comment 13 Matthias Runge 2012-05-15 03:11:27 EDT
OK, great! 

Package APPROVED
Comment 14 Jakub Filak 2012-05-15 03:47:30 EDT
New Package SCM Request
=======================
Package Name: python-django-dajaxice
Short Description: Agnostic and easy to use AJAX library for Django
Owners: jfilak
Branches: f16 f17 el6
InitialCC:
Comment 15 Gwyn Ciesla 2012-05-15 08:18:19 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-05-17 08:35:29 EDT
python-django-dajaxice-0.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-django-dajaxice-0.2-1.fc16
Comment 17 Fedora Update System 2012-05-17 08:35:37 EDT
python-django-dajaxice-0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-dajaxice-0.2-1.el6
Comment 18 Fedora Update System 2012-05-17 08:35:43 EDT
python-django-dajaxice-0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-django-dajaxice-0.2-1.fc17
Comment 19 Fedora Update System 2012-06-07 14:04:20 EDT
python-django-dajaxice-0.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 20 Fedora Update System 2012-06-14 20:30:11 EDT
python-django-dajaxice-0.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Fedora Update System 2012-06-14 20:31:41 EDT
python-django-dajaxice-0.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 22 Fedora Update System 2012-06-14 22:14:00 EDT
python-django-dajaxice-0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.